#! /bin/sh /usr/share/dpatch/dpatch-run
## 04_module-import.dpatch by  <nslater@tumbolia.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Load modules from the correct package.

@DPATCH@
diff -urNad phenny-2~hg28~/modules/calc.py phenny-2~hg28/modules/calc.py
--- phenny-2~hg28~/modules/calc.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/calc.py	2009-05-04 18:23:29.000000000 +0100
@@ -9,7 +9,7 @@
 """
 
 import re
-import web
+from phenny import web
 
 r_result = re.compile(r'(?i)<A NAME=results>(.*?)</A>')
 r_tag = re.compile(r'<\S+.*?>')
diff -urNad phenny-2~hg28~/modules/clock.py phenny-2~hg28/modules/clock.py
--- phenny-2~hg28~/modules/clock.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/clock.py	2009-05-04 18:23:41.000000000 +0100
@@ -8,7 +8,7 @@
 """
 
 import math, time, urllib
-from tools import deprecated
+from phenny.tools import deprecated
 
 TimeZones = {'KST': 9, 'CADT': 10.5, 'EETDST': 3, 'MESZ': 2, 'WADT': 9, 
              'EET': 2, 'MST': -7, 'WAST': 8, 'IST': 5.5, 'B': 2, 
diff -urNad phenny-2~hg28~/modules/dict.py phenny-2~hg28/modules/dict.py
--- phenny-2~hg28~/modules/dict.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/dict.py	2009-05-04 18:24:06.000000000 +0100
@@ -8,8 +8,8 @@
 """
 
 import re, urllib
-import web
-from tools import deprecated
+from phenny import web
+from phenny.tools import deprecated
 
 formuri = 'http://wordnet.princeton.edu/perl/webwn?s='
 
diff -urNad phenny-2~hg28~/modules/etymology.py phenny-2~hg28/modules/etymology.py
--- phenny-2~hg28~/modules/etymology.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/etymology.py	2009-05-04 18:24:15.000000000 +0100
@@ -8,8 +8,8 @@
 """
 
 import re
-import web
-from tools import deprecated
+from phenny import web
+from phenny.tools import deprecated
 
 etyuri = 'http://etymonline.com/?term=%s'
 etysearch = 'http://etymonline.com/?search=%s'
diff -urNad phenny-2~hg28~/modules/head.py phenny-2~hg28/modules/head.py
--- phenny-2~hg28~/modules/head.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/head.py	2009-05-04 18:24:25.000000000 +0100
@@ -9,8 +9,8 @@
 
 import re, urllib, urllib2, httplib, urlparse, time
 from htmlentitydefs import name2codepoint
-import web
-from tools import deprecated
+from phenny import web
+from phenny.tools import deprecated
 
 def head(phenny, input): 
    """Provide HTTP HEAD information."""
diff -urNad phenny-2~hg28~/modules/oblique.py phenny-2~hg28/modules/oblique.py
--- phenny-2~hg28~/modules/oblique.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/oblique.py	2009-05-04 18:24:38.000000000 +0100
@@ -8,7 +8,7 @@
 """
 
 import re, urllib
-import web
+from phenny import web
 
 definitions = 'http://code.google.com/p/phenny-ws/wiki/ServiceDefinitions'
 
diff -urNad phenny-2~hg28~/modules/reload.py phenny-2~hg28/modules/reload.py
--- phenny-2~hg28~/modules/reload.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/reload.py	2009-05-04 18:25:32.000000000 +0100
@@ -7,7 +7,7 @@
 http://inamidst.com/phenny/
 """
 
-import irc
+from phenny import irc
 
 def f_reload(phenny, input): 
    """Reloads a module, for use by admins only.""" 
@@ -21,9 +21,9 @@
       phenny.setup()
       return phenny.reply('done')
 
-   try: module = getattr(__import__('modules.' + name), name)
+   try: module = __import__('phenny.modules.' + name, "", "", [""])
    except ImportError: 
-      module = getattr(__import__('opt.' + name), name)
+      module = __import__('phenny.opt.' + name, "", "", [""])
    reload(module)
 
    if hasattr(module, '__file__'): 
diff -urNad phenny-2~hg28~/modules/search.py phenny-2~hg28/modules/search.py
--- phenny-2~hg28~/modules/search.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/search.py	2009-05-04 18:25:57.000000000 +0100
@@ -8,7 +8,7 @@
 """
 
 import re
-import web
+from phenny import web
 
 r_string = re.compile(r'("(\\.|[^"\\])*")')
 r_json = re.compile(r'^[,:{}\[\]0-9.\-+Eaeflnr-u \n\r\t]+$')
diff -urNad phenny-2~hg28~/modules/seen.py phenny-2~hg28/modules/seen.py
--- phenny-2~hg28~/modules/seen.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/seen.py	2009-05-04 18:26:08.000000000 +0100
@@ -8,7 +8,7 @@
 """
 
 import time
-from tools import deprecated
+from phenny.tools import deprecated
 
 @deprecated
 def f_seen(self, origin, match, args): 
diff -urNad phenny-2~hg28~/modules/tell.py phenny-2~hg28/modules/tell.py
--- phenny-2~hg28~/modules/tell.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/tell.py	2009-05-04 18:26:23.000000000 +0100
@@ -8,7 +8,7 @@
 """
 
 import os, re, time, random
-import web
+from phenny import web
 
 maximum = 4
 lispchannels = frozenset([ '#lisp', '#scheme', '#opendarwin', '#macdev',
diff -urNad phenny-2~hg28~/modules/translate.py phenny-2~hg28/modules/translate.py
--- phenny-2~hg28~/modules/translate.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/translate.py	2009-05-04 18:26:28.000000000 +0100
@@ -9,7 +9,7 @@
 """
 
 import re, urllib
-import web
+from phenny import web
 
 r_json = re.compile(r'^[,:{}\[\]0-9.\-+Eaeflnr-u \n\r\t]+$')
 r_string = re.compile(r'("(\\.|[^"\\])*")')
diff -urNad phenny-2~hg28~/modules/validate.py phenny-2~hg28/modules/validate.py
--- phenny-2~hg28~/modules/validate.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/validate.py	2009-05-04 18:26:33.000000000 +0100
@@ -7,7 +7,7 @@
 http://inamidst.com/phenny/
 """
 
-import web
+from phenny import web
 
 def val(phenny, input): 
    """Check a webpage using the W3C Markup Validator."""
diff -urNad phenny-2~hg28~/modules/weather.py phenny-2~hg28/modules/weather.py
--- phenny-2~hg28~/modules/weather.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/weather.py	2009-05-04 18:26:42.000000000 +0100
@@ -8,8 +8,8 @@
 """
 
 import re, urllib
-import web
-from tools import deprecated
+from phenny import web
+from phenny.tools import deprecated
 
 r_from = re.compile(r'(?i)([+-]\d+):00 from')
 
diff -urNad phenny-2~hg28~/modules/wikipedia.py phenny-2~hg28/modules/wikipedia.py
--- phenny-2~hg28~/modules/wikipedia.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/wikipedia.py	2009-05-04 18:26:50.000000000 +0100
@@ -8,7 +8,7 @@
 """
 
 import re, urllib
-import web
+from phenny import web
 
 wikiuri = 'http://en.wikipedia.org/wiki/%s'
 wikisearch = 'http://en.wikipedia.org/wiki/Special:Search?' \
diff -urNad phenny-2~hg28~/modules/wiktionary.py phenny-2~hg28/modules/wiktionary.py
--- phenny-2~hg28~/modules/wiktionary.py	2009-04-27 19:32:51.000000000 +0100
+++ phenny-2~hg28/modules/wiktionary.py	2009-05-04 18:27:36.000000000 +0100
@@ -8,7 +8,7 @@
 """
 
 import re
-import web
+from phenny import web
 
 uri = 'http://en.wiktionary.org/w/index.php?title=%s&printable=yes'
 r_tag = re.compile(r'<[^>]+>')
